Report fraud
curl --request POST \
--url https://sg.sandbox.api.reap.global/fraud-alerts/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Reap-Version: <reap-version>' \
--data '
{
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "CARD_LOST",
"cardholderNotifiedAt": "2023-11-07T05:31:56Z"
}
'const options = {
method: 'POST',
headers: {
'Reap-Version': '<reap-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
transactionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
type: 'CARD_LOST',
cardholderNotifiedAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://sg.sandbox.api.reap.global/fraud-alerts/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/fraud-alerts/"
payload = {
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "CARD_LOST",
"cardholderNotifiedAt": "2023-11-07T05:31:56Z"
}
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"origin": "DETECTED",
"type": "CARD_LOST",
"detectionReason": "<string>",
"cardholderMessage": "<string>",
"transactionOccurredAt": "2023-11-07T05:31:56Z",
"detectedAt": "2023-11-07T05:31:56Z",
"respondedAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z",
"reportableUntil": "2023-11-07T05:31:56Z",
"respondableUntil": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "FRAUD_ALERT_NOT_SUPPORTED_FOR_SIMULATED_TRANSACTION",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "FRAUD_ALERT_TRANSACTION_NOT_FOUND",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "FRAUD_ALERT_ALREADY_RESOLVED",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "FRAUD_REPORTING_WINDOW_EXPIRED",
"message": "<string>",
"detail": {}
}
}Fraud Alerts
Report fraud
Files a fraud report against a past card transaction. Always confirms the transaction as fraud and blocks the card. If a pending detected alert already exists for the same transaction and is still inside the response window, this delegates to confirm. Partners learn of the block via CARD_STATUS_UPDATED with blockReason: FRAUD_ALERT_CONFIRMED.
POST
/
fraud-alerts
/
Report fraud
curl --request POST \
--url https://sg.sandbox.api.reap.global/fraud-alerts/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Reap-Version: <reap-version>' \
--data '
{
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "CARD_LOST",
"cardholderNotifiedAt": "2023-11-07T05:31:56Z"
}
'const options = {
method: 'POST',
headers: {
'Reap-Version': '<reap-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
transactionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
type: 'CARD_LOST',
cardholderNotifiedAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://sg.sandbox.api.reap.global/fraud-alerts/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/fraud-alerts/"
payload = {
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "CARD_LOST",
"cardholderNotifiedAt": "2023-11-07T05:31:56Z"
}
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"origin": "DETECTED",
"type": "CARD_LOST",
"detectionReason": "<string>",
"cardholderMessage": "<string>",
"transactionOccurredAt": "2023-11-07T05:31:56Z",
"detectedAt": "2023-11-07T05:31:56Z",
"respondedAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z",
"reportableUntil": "2023-11-07T05:31:56Z",
"respondableUntil": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "FRAUD_ALERT_NOT_SUPPORTED_FOR_SIMULATED_TRANSACTION",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "FRAUD_ALERT_TRANSACTION_NOT_FOUND",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "FRAUD_ALERT_ALREADY_RESOLVED",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "FRAUD_REPORTING_WINDOW_EXPIRED",
"message": "<string>",
"detail": {}
}
}Required scope: FRAUD_ALERTS_WRITE
Headers
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Report fraud against a past card transaction.
Response
Fraud alert resource